diff -ur ooo_SRC680_m235_src.orig/framework/source/layoutmanager/layoutmanager.cxx ooo_SRC680_m235_src/framework/source/layoutmanager/layoutmanager.cxx
--- ooo_SRC680_m235_src.orig/framework/source/layoutmanager/layoutmanager.cxx	2007-10-30 11:53:32.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/layoutmanager/layoutmanager.cxx	2007-10-30 12:22:41.000000000 +0100
@@ -2648,7 +2648,7 @@
 
     // determine current first row/column and last row/column
     sal_Int32 nMaxRowCol( -1 );
-    sal_Int32 nMinRowCol( LONG_MAX );
+    sal_Int32 nMinRowCol( SAL_MAX_INT32 );
     for ( sal_uInt32 i = 0; i < aRowColumnsWindowData.size(); i++ )
     {
         if ( aRowColumnsWindowData[i].nRowColumn > nMaxRowCol )
@@ -3021,7 +3021,7 @@
                         }
 
                         // Don't change toolbars without a valid docking position!
-                        if (( aDockedPos.X == LONG_MAX ) && ( aDockedPos.Y == LONG_MAX ))
+                        if (( aDockedPos.X == SAL_MAX_INT32 ) && ( aDockedPos.Y == SAL_MAX_INT32 ))
                             continue;
 
                         sal_Int32 nWindowRowCol = ( bHorzDockingArea ) ? aDockedPos.Y : aDockedPos.X;
@@ -4817,7 +4817,7 @@
                     if ( DockingArea != DockingArea_DOCKINGAREA_DEFAULT )
                         aUIElement.m_aDockedData.m_nDockedArea = sal_Int16( DockingArea );
 
-                    if (( Pos.X != LONG_MAX ) && ( Pos.Y != LONG_MAX ))
+                    if (( Pos.X != SAL_MAX_INT32 ) && ( Pos.Y != SAL_MAX_INT32 ))
                         aUIElement.m_aDockedData.m_aPos = ::Point( Pos.X, Pos.Y );
 
                     if ( !xDockWindow->isFloating() )
@@ -4925,7 +4925,7 @@
         for ( sal_uInt32 i = 0; i < aToolBarNameVector.size(); i++ )
         {
             ::com::sun::star::awt::Point aPoint;
-            aPoint.X = aPoint.Y = LONG_MAX;
+            aPoint.X = aPoint.Y = SAL_MAX_INT32;
             dockWindow( aToolBarNameVector[i], DockingArea_DOCKINGAREA_DEFAULT, aPoint );
         }
     }
Only in ooo_SRC680_m235_src/framework/source/layoutmanager: layoutmanager.cxx~
diff -ur ooo_SRC680_m235_src.orig/framework/source/uielement/toolbarmanager.cxx ooo_SRC680_m235_src/framework/source/uielement/toolbarmanager.cxx
--- ooo_SRC680_m235_src.orig/framework/source/uielement/toolbarmanager.cxx	2007-10-30 11:53:32.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/uielement/toolbarmanager.cxx	2007-10-30 12:01:42.000000000 +0100
@@ -1875,7 +1875,7 @@
                 if ( xLayoutManager.is() )
                 {
                     ::com::sun::star::awt::Point aPoint;
-                    aPoint.X = aPoint.Y = LONG_MAX;
+                    aPoint.X = aPoint.Y = SAL_MAX_INT32;
                     xLayoutManager->dockWindow( m_aResourceName,
                                                 DockingArea_DOCKINGAREA_DEFAULT,
                                                 aPoint );
@@ -1889,7 +1889,7 @@
                 if ( xLayoutManager.is() )
                 {
                     ::com::sun::star::awt::Point aPoint;
-                    aPoint.X = aPoint.Y = LONG_MAX;
+                    aPoint.X = aPoint.Y = SAL_MAX_INT32;
                     xLayoutManager->dockAllWindows( UIElementType::TOOLBAR );
                 }
                 break;
Only in ooo_SRC680_m235_src/framework/source/uielement: toolbarmanager.cxx~
diff -ur ooo_SRC680_m235_src.orig/framework/source/xml/eventsdocumenthandler.cxx ooo_SRC680_m235_src/framework/source/xml/eventsdocumenthandler.cxx
--- ooo_SRC680_m235_src.orig/framework/source/xml/eventsdocumenthandler.cxx	2007-10-30 11:53:31.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/xml/eventsdocumenthandler.cxx	2007-10-30 12:04:04.000000000 +0100
@@ -438,7 +438,7 @@
 
 	if ( m_xLocator.is() )
 	{
-		snprintf( buffer, sizeof(buffer), "Line: %ld - ", m_xLocator->getLineNumber() );
+		snprintf( buffer, sizeof(buffer), "Line: %ld - ", static_cast<long>(m_xLocator->getLineNumber() ));
 		return OUString::createFromAscii( buffer );
 	}
 	else
diff -ur ooo_SRC680_m235_src.orig/framework/source/xml/imagesdocumenthandler.cxx ooo_SRC680_m235_src/framework/source/xml/imagesdocumenthandler.cxx
--- ooo_SRC680_m235_src.orig/framework/source/xml/imagesdocumenthandler.cxx	2007-10-30 11:53:31.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/xml/imagesdocumenthandler.cxx	2007-10-30 12:07:18.000000000 +0100
@@ -647,7 +647,7 @@
 
 	if ( m_xLocator.is() )
 	{
-		snprintf( buffer, sizeof(buffer), "Line: %ld - ", m_xLocator->getLineNumber() );
+		snprintf( buffer, sizeof(buffer), "Line: %ld - ", static_cast<long>(m_xLocator->getLineNumber()) );
 		return OUString::createFromAscii( buffer );
 	}
 	else
Only in ooo_SRC680_m235_src/framework/source/xml: imagesdocumenthandler.cxx~
diff -ur ooo_SRC680_m235_src.orig/framework/source/xml/menudocumenthandler.cxx ooo_SRC680_m235_src/framework/source/xml/menudocumenthandler.cxx
--- ooo_SRC680_m235_src.orig/framework/source/xml/menudocumenthandler.cxx	2007-10-30 11:53:31.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/xml/menudocumenthandler.cxx	2007-10-30 12:07:44.000000000 +0100
@@ -241,7 +241,7 @@
 
 	if ( m_xLocator.is() )
 	{
-		snprintf( buffer, sizeof(buffer), "Line: %ld - ", m_xLocator->getLineNumber() );
+		snprintf( buffer, sizeof(buffer), "Line: %ld - ", static_cast<long>(m_xLocator->getLineNumber()) );
 		return OUString::createFromAscii( buffer );
 	}
 	else
Only in ooo_SRC680_m235_src/framework/source/xml: menudocumenthandler.cxx~
diff -ur ooo_SRC680_m235_src.orig/framework/source/xml/saxnamespacefilter.cxx ooo_SRC680_m235_src/framework/source/xml/saxnamespacefilter.cxx
--- ooo_SRC680_m235_src.orig/framework/source/xml/saxnamespacefilter.cxx	2007-10-30 11:53:31.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/xml/saxnamespacefilter.cxx	2007-10-30 12:03:39.000000000 +0100
@@ -207,7 +207,7 @@
 
 	if ( m_xLocator.is() )
 	{
-		snprintf( buffer, sizeof(buffer), "Line: %ld - ", m_xLocator->getLineNumber() );
+		snprintf( buffer, sizeof(buffer), "Line: %ld - ", static_cast<long>(m_xLocator->getLineNumber()) );
 		return OUString::createFromAscii( buffer );
 	}
 	else
Only in ooo_SRC680_m235_src/framework/source/xml: saxnamespacefilter.cxx~
diff -ur ooo_SRC680_m235_src.orig/framework/source/xml/statusbardocumenthandler.cxx ooo_SRC680_m235_src/framework/source/xml/statusbardocumenthandler.cxx
--- ooo_SRC680_m235_src.orig/framework/source/xml/statusbardocumenthandler.cxx	2007-10-30 11:53:31.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/xml/statusbardocumenthandler.cxx	2007-10-30 12:04:19.000000000 +0100
@@ -538,7 +538,7 @@
 
 	if ( m_xLocator.is() )
 	{
-		snprintf( buffer, sizeof(buffer), "Line: %ld - ", m_xLocator->getLineNumber() );
+		snprintf( buffer, sizeof(buffer), "Line: %ld - ", static_cast<long>( m_xLocator->getLineNumber() ));
 		return OUString::createFromAscii( buffer );
 	}
 	else
diff -ur ooo_SRC680_m235_src.orig/framework/source/xml/toolboxdocumenthandler.cxx ooo_SRC680_m235_src/framework/source/xml/toolboxdocumenthandler.cxx
--- ooo_SRC680_m235_src.orig/framework/source/xml/toolboxdocumenthandler.cxx	2007-10-30 11:53:31.000000000 +0100
+++ ooo_SRC680_m235_src/framework/source/xml/toolboxdocumenthandler.cxx	2007-10-30 12:04:35.000000000 +0100
@@ -668,7 +668,7 @@
 
 	if ( m_xLocator.is() )
 	{
-		snprintf( buffer, sizeof(buffer), "Line: %ld - ", m_xLocator->getLineNumber() );
+		snprintf( buffer, sizeof(buffer), "Line: %ld - ", static_cast<long>( m_xLocator->getLineNumber() ));
 		return OUString::createFromAscii( buffer );
 	}
 	else
